Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.choose
Interface Choose

All Superinterfaces:
  Content, MapXmlFactory, RecordFilterAppender, RecordPipelineAppender, Stringable, StringFactory, Task

All Known Implementing Classes:
  ChooseImpl, ChoosePrefilter

    public interface Choose

extends Task, Content, RecordFilterAppender, MapXmlFactory, StringFactory

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.string.Stringable
`Stringable.EmptyStringable`

Nested classes/interfaces inherited from interface com.servingxml.components.string.Stringable
`Stringable.EmptyStringable`

Nested classes/interfaces inherited from interface com.servingxml.components.string.StringFactory
`StringFactory.UninitializedStringFactory`

Nested classes/interfaces inherited from interface com.servingxml.components.string.Stringable
`Stringable.EmptyStringable`

Field Summary

Fields inherited from interface com.servingxml.components.string.Stringable
`EMPTY`

Fields inherited from interface com.servingxml.components.content.Content
`EMPTY_ARRAY`

Fields inherited from interface com.servingxml.components.string.Stringable
`EMPTY`

Fields inherited from interface com.servingxml.components.string.StringFactory
`UNINITIALIZED`

Fields inherited from interface com.servingxml.components.string.Stringable
`EMPTY`

Method Summary

Methods inherited from interface com.servingxml.components.task.Task
`execute`

Methods inherited from interface com.servingxml.components.content.Content
`appendToXmlPipeline, createSaxSource, createXmlPipeline`

Methods inherited from interface com.servingxml.components.recordio.RecordPipelineAppender
`appendToRecordPipeline, createRecordPipeline`

Methods inherited from interface com.servingxml.components.recordmapping.MapXmlFactory
`addToXsltEvaluator, createMapXml, isGroup, isRecord`

Methods inherited from interface com.servingxml.components.string.StringFactory
`createString, createString`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD